## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate hyperfine

Name:           rust-hyperfine
Version:        1.18.0
Release:        %autorelease
Summary:        Command-line benchmarking tool

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/hyperfine
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          hyperfine-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * relax indicatif dependency from =0.17.4 to ^0.17.4
Patch:          hyperfine-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A command-line benchmarking tool.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        MIT AND MPL-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/hyperfine
%{_mandir}/man1/hyperfine.1*
%{bash_completions_dir}/hyperfine.bash
%{fish_completions_dir}/hyperfine.fish
%{zsh_completions_dir}/_hyperfine

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install manpage
install -Dpm 0644 doc/hyperfine.1 -t %{buildroot}/%{_mandir}/man1
# install shell completions
install -Dpm 0644 target/release/build/%{crate}-*/out/hyperfine.bash \
    -t %{buildroot}/%{bash_completions_dir}
install -Dpm 0644 target/release/build/%{crate}-*/out/hyperfine.fish \
    -t %{buildroot}/%{fish_completions_dir}
install -Dpm 0644 target/release/build/%{crate}-*/out/_hyperfine \
    -t %{buildroot}/%{zsh_completions_dir}

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Oct 19 2023 Fabio Valentini <decathorpe@gmail.com> 1.18.0-1
- Update to version 1.18.0; Fixes RHBZ#2244888

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jun 04 2023 Fabio Valentini <decathorpe@gmail.com> 1.17.0-1
- Update to version 1.17.0; Fixes RHBZ#2212109

* Mon Mar 27 2023 Fabio Valentini <decathorpe@gmail.com> 1.16.1-1
- Update to version 1.16.1; Fixes RHBZ#2124811

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> 1.14.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Aug 08 2022 Fabio Valentini <decathorpe@gmail.com> 1.14.0-1
- Update to version 1.14.0; Fixes RHBZ#2061068

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.12.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 1.12.0-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 12 2022 Fabio Valentini <decathorpe@gmail.com> 1.12.0-1
- Update to version 1.12.0; Fixes RHBZ#2014895

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 28 2021 Fabio Valentini <decathorpe@gmail.com> - 1.11.0-4
- Update approx to 0.5

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:30:54 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.11.0-2
- Rebuild

* Fri Nov 20 2020 Fabio Valentini <decathorpe@gmail.com> - 1.11.0-1
- Update to version 1.11.0.
- Fixes RHBZ#1889025

* Sun Aug 16 15:01:31 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.10.0-4
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 18 07:34:32 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.10.0-2
- Update indicatif to 0.15

* Mon May 25 17:04:54 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.10.0-1
- Update to 1.10.0

* Wed Feb 26 2020 Josh Stone <jistone@redhat.com> - 1.9.0-4
- Bump indicatif to 0.14

* Sun Feb 16 14:38:46 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.9.0-3
- Fixup license

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 06 17:31:47 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.9.0-1
- Update to 1.9.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 21 08:58:51 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.0-2
- Regenerate

* Sun Jun 09 13:46:06 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.5.0-3
- Bump statistical to 1.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.5.0-1
- Initial package

